WPParserInternal::WindowsInfo Struct Reference

Windows informations. More...

## Classes

struct | Zone

## Public Member Functions

| WindowsInfo ()
bool | dimensionInvalid () const
bool | getColumnLimitsFor (int line, std::vector< int > &listPos)

## Public Attributes

Vec2i | m_pageDim
int | m_headerY
int | m_footerY
std::vector< PageInfo > | m_pages
std::vector< ColumnInfo > | m_columns
std::vector< ParagraphInfo > | m_paragraphs
Zone | m_zone [7]

## Friends

std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

Windows informations.

## Constructor & Destructor Documentation

WPParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |

inline

## Member Function Documentation

bool WPParserInternal::WindowsInfo::dimensionInvalid | ( |  | ) | const

inline

bool WPParserInternal::WindowsInfo::getColumnLimitsFor | ( | int | line,
|  | std::vector< int > & | listPos
| ) |  |

Referenced by WPParser::findSection().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |

friend

## Member Data Documentation

std::vector<ColumnInfo> WPParserInternal::WindowsInfo::m_columns

Referenced by getColumnLimitsFor(), and WPParser::readColInfo().

int WPParserInternal::WindowsInfo::m_footerY

Referenced by dimensionInvalid(), and WPParserInternal::operator<<().

int WPParserInternal::WindowsInfo::m_headerY

Referenced by dimensionInvalid(), and WPParserInternal::operator<<().

Vec2i WPParserInternal::WindowsInfo::m_pageDim

Referenced by dimensionInvalid(), and WPParserInternal::operator<<().

std::vector<PageInfo> WPParserInternal::WindowsInfo::m_pages

Referenced by WPParser::readPageInfo(), and WPParser::sendWindow().

std::vector<ParagraphInfo> WPParserInternal::WindowsInfo::m_paragraphs

Referenced by WPParser::findSection(), getColumnLimitsFor(), WPParser::readParagraphInfo(), WPParser::readWindowsZone(), and WPParser::sendWindow().

Zone WPParserInternal::WindowsInfo::m_zone[7]

Referenced by WPParserInternal::operator<<(), WPParser::readColInfo(), WPParser::readPageInfo(), WPParser::readParagraphInfo(), WPParser::readWindowsInfo(), and WPParser::readWindowsZone().

The documentation for this struct was generated from the following file:

- WPParser.cxx